---
apiVersion: networking.k8s.io/v1
kind: NetworkPolicy
metadata:
  name: http
  labels: {}
spec:
  podSelector:
    matchLabels:
      ops.unimatrixone.io/firewall.allow-world-http: "true"
  policyTypes:
  - Ingress
  ingress:
  - from:
    - namespaceSelector:
        matchLabels:
          namespace: ingress-nginx
      podSelector:
        matchExpressions:
        - key: app.kubernetes.io/component
          operator: In
          values: [controller]
        - key: app.kubernetes.io/instance
          operator: In
          values: [ingress-nginx]
